Subject: conversion, help

From: Rolf Marvin B�e Lindgren <[email-masked]>
Date: Wed, 01 Feb 1995 20:20:23 +0100

I seem to be on the brink of being able to allow automatic conversion.

if I, on an anonymous session, say

	get file |gzip

then the _program_ gzip gives an error message, indicating that ftpd
can find it.  upon get filename.tar, ftp says

550 Local error: conversion program not found. Cannot GZIP file.

gzip and tar are statically linked, an reside as

-r-xr-xr-x   1 root     staff      180224 Jan 11 10:54 gzip
-r-xr-xr-x   1 root     staff      253952 Jan 11 10:41 ls
-r-xr-xr-x   1 root     staff      565248 Jan 11 10:48 tar

my ftpconversions file says

 :.Z:  :  :/usr/ucb/compress -d -c %s:T_REG|T_ASCII:O_UNCOMPRESS:UNCOMPRESS
 :   : :.Z:/usr/ucb/compress -c %s:T_REG:O_COMPRESS:COMPRESS
 :.gz: :  :/usr/local/ftp/bin/gzip -cd %s:T_REG|T_ASCII:O_UNCOMPRESS:GUNZIP
 :   : :.gz:/usr/local/ftp/bin/gzip -9 -c %s:T_REG:O_COMPRESS:GZIP
 :   : :.tar:/local/bin/tar -c -f - %s:T_REG|T_DIR:O_TAR:TAR
 :   : :.tar.Z:/local/bin/tar -c -Z -f - %s:T_REG|T_DIR:O_COMPRESS|O_TAR:TAR+COMPRESS
 :   : :.tar.gz:/local/bin/tar -c -z -f - %s:T_REG|T_DIR:O_COMPRESS|O_TAR:TAR+GZIP

where should I start looking?

-- 
Rolf Lindgren
[email-masked]